module "Esri.ArcGISRuntime" is not installed

2642
16
02-04-2019 06:45 AM
micheleburgalossi
New Contributor III

when running Qt Creator QML app in debug mode, i am getting the message "module "Esri.ArcGISRuntime" is not installed" and "module "ArcGIS.AppFramework" is not installed" even though i already installed the ArcGISRuntime SDK for Qt 100.4, and have indicated the path in the SDK post install. When i hover the mouse over the underlined sentences i get the message shown in the picture below. i tried adding the folders to the import path, however Qt still cant read them. 

i have Qt Creator installed with the latest version of AppStudio and in addition i have installed Qt 5.12.1

Any help would be appreciated, thank you

Tags (1)
0 Kudos
16 Replies
micheleburgalossi
New Contributor III

0 Kudos
ErwinSoekianto
Esri Regular Contributor

Michele, 

It sounds like you are running AppStudio App inside the Qt Creator version that is not installed with the AppStudio Desktop installation, correct? Or you have modified the out of the box installation of the Qt Creator that comes with the AppStudio Desktop installation?

Thank you,

Erwin

0 Kudos
micheleburgalossi
New Contributor III

Hello Erwin,

Thanks for your reply. The Qt Creator i am running and shown in the picture above is the one installed with AppStudio Desktop installation..the only thing i have modified is configuring the debugging kit so i could debug the program (before i could not). However, i do also have the Qt Creator 4.8.1 (Community) installed but it gives the same errors. I tried copying and pasting the Esri and ArcGIS again today into the specified path, and I am getting another error (shown in the snapshot below).

translation: impossible to load the library C:\... impossible to fing the specified procedure.

thank you

0 Kudos
ShobanaSuresh
Esri Contributor

Hi Michele,

>the only thing i have modified is configuring the debugging kit

From the shared screenshot, it looks like you have set up the Qt 5.12.1 mingw kit. AppStudio 3.2 supports only the Qt5.11.2 Visual Studio 2017 Qt kit on Windows.

Steps for debugging an AppStudio app using QML Scene has been described in Debug JavaScript in Qt Creator—AppStudio for ArcGIS | ArcGIS  . Let me know if you have any questions regarding the steps described in this doc.

Thanks

Shobana

0 Kudos
micheleburgalossi
New Contributor III

Hello Shobana, 

thanks for your reply.

I uninstalled the Qt 5.12.1 and installed the 5.11.2 version, and i manually moved the Esri and ArcGIS folders to the specified path in both Qt Creator versions that are present (the one installed with AppStudio and the one with the Qt 5.12.1) since the sdk post-installer is not doing that. I setup the debugger again however i could only set the mingw kit because when choosing the msvc2017_64 i am getting that no compiler can produce code for this Qt version (shown in the picture). The import statements are no longer underlined, however i am still getting an error when debugging (shown in the picture).

thank you for the help!

Michele

0 Kudos
ShobanaSuresh
Esri Contributor

Hi Michele,

>when choosing the msvc2017_64 i am getting that no compiler can produce code for this Qt version

I assume Visual Studio 2017 has been installed on the machine. Can you check if the MSVC compilers are auto detected and listed in QtCreator -> Tools -> Options -> Kits -> Compiler.

Can you try using the QtCreator that gets installed at C:\Qt\Qt5.11.2\Tools\QtCreator\bin\qtcreator.exe?

Below are the compilers listed on my machine. I'm able to set breakpoints and debug AppStudio apps using QML Scene

> i manually moved the Esri and ArcGIS folders since the sdk post-installer is not doing that

AppStudio's Advanced Configuration Tool can be used to copy the files to Qt installation folder. It's described in below doc.

Configure with Qt Kits—AppStudio for ArcGIS | ArcGIS 

Thanks

Shobana

0 Kudos
micheleburgalossi
New Contributor III

hello Shobana,

Yes, i have Visual Studio 2017 installed. In the Qt creator that is installed in the path you specified i am getting the compilers shown in the picture below.

however, there is still an error in the Qt Versions where it says that the required compiler could not be found.

the weird thing is that no error is shown in the kits page and it automatically reads the qt version. 

the debugger seems to be working but i am getting some errors in the debugger console on a sample app created by AppStudio (in which case i shouldnt be getting any since i did not modify it).

I also did the advanced configuration tool but nothing changed.

In the AppStudio version of Qt, the compilers are the same but it does not autodetect any Qt versions. if i manually add the MSVC2017 qmake version, the error that no compiler can produce this code appears and in the kits tab i cannot choose it as the Qt version.

should i ignore the AppStudio version and use the one i installed, and why am I getting versions 11 and 12 of the compilers instead of 15 as in the picture you sent?

Thank you for your help

Michele

0 Kudos
micheleburgalossi
New Contributor III

and i am still getting the

plugin cannot be loaded for module "Esri.ArcGISRuntime": Impossibile caricare la libreria C:\Qt\Qt5.11.2\5.11.2\msvc2015_64\qml\Esri\ArcGISRuntime\ArcGISRuntimePlugin.dll: Impossibile trovare il modulo specificato.

error in Qml Scene

0 Kudos
ShobanaSuresh
Esri Contributor

Hi Michele,

> should i ignore the AppStudio version and use the one i installed

Yes, for debugging the app it's better to use the QtCreator that gets installed with Qt5.11.2. Only this QtCretaor will automatically detect the Qt5.11.2 kits.

> why am I getting versions 11 and 12 of the >compilers instead of 15 as in the picture you sent?

Version 12.0 matches Visual Studio 2013. Do you have that version installed. I'm not sure why Qt Creator is not detecting the Visual Studio 2017 installation. Can you try below steps and let me know if MSVC++ Compiler 15.0 gets listed in the QtCreator compiler list?

- Open a command window and execute below command

"C:\\Program Files (x86)\\Microsoft Visual Studio\\2017\\Professional\\VC\\Auxiliary\\Build\\vcvarsall.bat" amd64

- From the same command window luanch QtCreator by executing the command C:\Qt\Qt5.11.2\Tools\QtCreator\bin\qtcreator.exe

>i am still getting theplugin cannot be loaded for module "Esri.ArcGISRuntime": Impossibile caricare la libreria C:\Qt\Qt5.11.2\5.11.2\msvc2015_64\qml\Esri\ArcGISRuntime\ArcGISRuntimePlugin.dll: Impossibile trovare il modulo specificato.error in Qml Scene

It looks like you used the MSVC2015 kit as the Qt path listed in above error has msvc2015_64 folder reference. Can you test with the MSVC2017 kit as this is the one supported in AppStudio.

Thanks

Shobana